summaryrefslogtreecommitdiff
path: root/git-stash.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2011-04-27 11:36:41 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2011-04-27 11:36:41 -0700
commit6213ccaac90e2eed50739daf9097c054c8317215 (patch)
treed05dcc3b9cd7e0be7ee3f294fd5f29f764052e93 /git-stash.sh
parentMerge branch 'jc/pack-objects-bigfile' (diff)
parentstash: drop dirty worktree check on apply (diff)
downloadtgif-6213ccaac90e2eed50739daf9097c054c8317215.tar.xz
Merge branch 'jk/stash-loosen-safety'
* jk/stash-loosen-safety: stash: drop dirty worktree check on apply
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/git-stash.sh b/git-stash.sh
index a305fb19f1..fbd4bc152d 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -344,9 +344,7 @@ apply_stash () {
assert_stash_like "$@"
- git update-index -q --refresh &&
- git diff-files --quiet --ignore-submodules ||
- die 'Cannot apply to a dirty working tree, please stage your changes'
+ git update-index -q --refresh || die 'unable to refresh index'
# current index state
c_tree=$(git write-tree) ||